package org.example.data.user

interface UserRepository {
    fun add(userDTO: UserDTO): Boolean
    fun updateUserByID(userID:Int, updatedUser:UserDTO): UserDTO
    fun getAllUsers(): List<UserDTO>
    fun getUserById(userID: Int): UserDTO
    fun removeUser(userID: Int): Boolean
}