package org.example.ui.user

data class UserPresenter(
    val userID: Int,
    var email: String,
    var phone: String? = null,
    var firstName: String? = null,
    var lastName: String? = null,
    var address: String? =null,
){
    override fun toString(): String {
        val userString = StringBuilder()
        userString.appendLine("Id:$userID")
        userString.appendLine("Email:$email")
        phone?.let {
            userString.appendLine("phone:$phone")
        }
        firstName?.let {
            userString.appendLine("firstName:$firstName")
        }
        lastName?.let {
            userString.appendLine("lastName:$lastName")
        }
        address?.let {
            userString.appendLine("address:$address")
        }
        return userString.toString()
    }
}